> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export the internal Data Encryption Key (DEK)

> Export the internal Data Encryption Key (DEK)



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json POST /exportDataEncryptionKey
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /exportDataEncryptionKey:
    post:
      tags:
        - exportDataEncryptionKey
      summary: Export the internal Data Encryption Key (DEK)
      description: Export the internal Data Encryption Key (DEK)
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/exportDataEncryptionKey_input'
        required: true
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/exportDataEncryptionKey_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    exportDataEncryptionKey_input:
      type: object
      required:
        - Passphrase
      properties:
        Passphrase:
          type: string
          description: >-
            A user-defined string used to derive a temporary encryption key for
            securing the exported data encryption key material during transport.
    exportDataEncryptionKey_output:
      type: array
      items:
        type: object
        properties:
          KeyPackage:
            type: string
            description: >-
              An encrypted data block containing the data encryption key and its
              associated cryptographic metadata.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````